class ActionJoinKctOsmTrail < Action # jokt
  include Rails.application.routes.url_helpers
  
  # nastaví proměnné podle catid (kde jsou zakódovány) + dělá sanity chcecky
  def setvars
    # dekóduj parametry
    _, @kctref, @osmid = catid.split('|')
    @osm_trail = OsmTrail.find_by(osmid: @osmid)
    raise "OsmTrail mel bejt existing dle osmid #{@osmid}" if @osm_trail.nil?
    @kct_trail = KctTrail.find_by_kctref(@kctref)
    raise "KctTrail mel bejt existing dle kctref #{@kctref}" if @kct_trail.nil?
    @trail = Trail.find_by_kctref(@kctref) || Trail.find_by_osmid(@osmid)

    @short_action_name = 'připojit trasy'

    @attrs = {
      action: linkify("připojit trasu ot:#{@osmid} a kt:#{@kctref}"),
      followup_url: @guidepost ?  trail_path(@trail) : osm_trail_path(@osm_trail)
    }
  end
  
  def perform
    @trail = Trail.new if @trail.nil? # pokud neexistuje, tak ho vyrob 
    @trail.update(
      kctref: @kctref,
      osmid: @osmid
    )
  end
end
